Summary: Postfix management wrapper utility
Name: pfHandle
Version: 1.1
Release: 3%{?dist}
License: GPLv2
Group: Applications/System
URL:  http://launchpad.net/pfhandle
Source: http://launchpad.net/pfhandle/1.0/initial/+download/pfHandle-1.1.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: postfix


%description
This is a program that incorporates all the various built in tools of Postfix
in a single program and extends this functionality with some additional options.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m0755 $RPM_BUILD_ROOT%{_sbindir}
mkdir -p -m0755 $RPM_BUILD_ROOT%{_defaultdocdir}/pfHandle-%{version}
mkdir -p -m0755 $RPM_BUILD_ROOT%{_mandir}/man5

install -m 0755 pfHandle $RPM_BUILD_ROOT%{_sbindir}/
install -m 0644 CHANGELOG $RPM_BUILD_ROOT%{_defaultdocdir}/pfHandle-%{version}/CHANGELOG
install -m 0644 COPYING $RPM_BUILD_ROOT%{_defaultdocdir}/pfHandle-%{version}/COPYING
install -m 0644 pfHandle.5.gz $RPM_BUILD_ROOT%{_mandir}/man5/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_defaultdocdir}/%{name}-%{version}
%{_sbindir}/pfHandle
%doc CHANGELOG COPYING
%doc %{_mandir}/man5/%{name}.5.gz

%changelog
* Wed Jul 28 2010 Carl Thompson <carl.thompson@rackspace.com> 1.1-3
- updated README source tar versioning
- updated doc section of spec
* Tue Jul 27 2010 Carl Thompson <carl.thompson@rackspace.com> 1-2
- remove RPM_BUILD_ROOT test
- added COPYING for licensing
- updated README informing of COPYING
* Fri Jul 17 2009 Carl Thompson <carl.thompson@rackspace.com> 1-1
-Initial release

